> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling 2.6

> Kling 2.6 API 可根据文本或图片生成 5 或 10 秒、带原生音频的视频，支持 1:1、16:9 或 9:16。

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.poyo.ai/zh/api-manual/task-management/status.md)接口获取结果。

使用 Kling 2.6 生成支持原生音频的高质量视频。创作带有同步对白、歌唱、音效和环境音的电影感内容。

## 模型

* **kling-2.6** - 带原生音频的视频生成（文生视频和图生视频）

## 功能

* **原生音频**：同步的语音、歌唱、音效和环境音
* **灵活时长**：5 或 10 秒
* **宽高比**：1:1（方形）、16:9（横版）和 9:16（竖版）
* **模式**：文生视频和图生视频


## OpenAPI

````yaml zh/api-manual/video-series/kling-2-6.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo AI - Kling 2.6 API
  description: Kling 2.6 API 根据文本或图像生成 5 或 10 秒、带原生音频的视频，宽高比为 1:1、16:9 或 9:16。
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Kling 2.6
      summary: 提交 Kling 2.6 视频生成任务
      description: 使用 Kling 2.6 生成支持原生音频的高质量视频
      operationId: submitKling26Task
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              kling-2.6:
                summary: Kling 2.6 视频生成
                value:
                  model: kling-2.6
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: >-
                      A young woman walking through a bustling city street,
                      talking on her phone with a cheerful expression
                    sound: true
                    aspect_ratio: '16:9'
                    duration: 5
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
        '400':
          description: 请求参数无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: 未授权：API Key 无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
      properties:
        model:
          type: string
          description: Kling 2.6 模型标识符
          enum:
            - kling-2.6
        callback_url:
          type: string
          format: uri
          description: 接收结果通知的 Webhook 回调 URL
          example: https://your-domain.com/callback
        input:
          type: object
          required:
            - prompt
            - sound
            - aspect_ratio
            - duration
          description: 生成参数
          properties:
            prompt:
              type: string
              description: 描述期望输出的生成提示词
              maxLength: 1000
              example: A cinematic video scene
            image_urls:
              type: array
              items:
                type: string
                format: uri
              description: 参考图像 URL（用于图生视频）
              example: []
            end_image_url:
              type: string
              format: uri
              description: 可选，用作尾帧的图像 URL（仅限图生视频）
              example: https://your-domain.com/end-frame.png
            sound:
              type: boolean
              description: 为 true 时：生成的视频包含声音；`end_image_url` 有值时必须为 false
              example: true
            aspect_ratio:
              type: string
              description: 视频宽高比（仅限文生视频）
              enum:
                - '1:1'
                - '16:9'
                - '9:16'
              example: '16:9'
            duration:
              type: integer
              description: 视频时长（秒）
              enum:
                - 5
                - 10
              example: 5
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
              description: 任务唯一标识，用于查询任务状态
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              example: not_started
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
              example: '2025-11-12T10:30:00'
              description: 任务创建时间，ISO 8601 格式
    ErrorResponse:
      type: object
      required:
        - code
        - error
      properties:
        code:
          type: integer
          example: 400
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              example: Invalid request parameters
              description: 描述错误原因的错误信息
            type:
              type: string
              example: invalid_request_error
              description: 错误类型标识
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.